var widthWD;
var heightWD;

$(document).ready(function () {
  widthWD = jQuery(window).width();
  heightWD = jQuery(document).height();
  new Swiper('.banner-slider', {
    autoplay: {
      delay: 5000,
      disableOnInteraction: true
    },
    pagination: {
      el: '.swiper-pagination',
    }
  });



  /*---- Top Button -----*/
  jQuery('.top').click(function () {
    jQuery('html, body').animate({ scrollTop: 0 }, 300);
  });
  /*---- End Top Button -----*/

  jQuery(document).on('click', '.call-popup', function (event) {
    showPopup(jQuery(this).attr('data-popup'));
  })

  /*- Fancy box -*/
  jQuery(".fancybox").fancybox({
    type: "iframe",
    padding: 0,
    fitToView: false,
    width: '100%',
    height: '100%',
    openEffect: 'true',
    closeEffect: 'true',
    autoplay: 'true'
  });

  $.js = function (el) {
    return $('[data-js=' + el + ']')
  };
  
  if (jQuery('select').length > 0) {
    jQuery('select').niceSelect();

  }




  
  /* List server */
  var serverTab = new Swiper('.server-slider-tabs', {
    spaceBetween: 0,
    slidesPerView: 5,
    watchSlidesVisibility: true,
    watchSlidesProgress: true,
    navigation: {
      nextEl: '.server-button-next',
      prevEl: '.server-button-prev',
    }
  });
  
  new Swiper('.server-slider', {
    slidesPerView: 1,
    navigation: {
      nextEl: '.server-next',
      prevEl: '.server-prev',
    },
    thumbs: {
      swiper: serverTab
    }
  });

  /*---- Slider Dac sac ---*/
  new Swiper('.dacsac-slider', {
    loop: true,
    autoplay: {
      delay: 3000,
      disableOnInteraction: true
    },
    navigation: {
      nextEl: '.dacsac-next',
      prevEl: '.dacsac-prev',
    },
    pagination: {
      el: '.swiper-pagination',
    }
  });
})

function showPopup(object) {
  if(jQuery('.popup-bg').length == 0) {
    jQuery(".popup").prepend('<div class="popup-bg"></div>');
  }
  jQuery("." + object).parent().addClass('active');
  
  jQuery(document).on('click', '.popup-bg,.popup-close', function (event) {
    jQuery("." + object).parent().removeClass('active');
  });
  // $('select').niceSelect();
}

jQuery(window).on('load', function () {

  /*--- Character slider ---*/
  for (let i = 1; i <= jQuery('.character-swiper-large').length; i++) {
    // console.log(jQuery(this).find('>.character-swiper-nav .swiper-wrapper .swiper-slide').length);
    new Swiper('.character-swiper-large-'+i, {
      spaceBetween: 0,
      navigation: {
        nextEl: '.char-button-next',
        prevEl: '.char-button-prev'
      },
      autoplay: {
        delay: 5000,
        disableOnInteraction: true
      },
      thumbs: {
        swiper: {
          el: '.character-swiper-nav-'+i,
          // navigation: {
          //   nextEl: '.nav-button-next',
          //   prevEl: '.nav-button-prev'
          // },
          slidesPerView: jQuery('.character-swiper-nav-'+i).find('.swiper-slide').length,
          spaceBetween: 0,
          direction: 'vertical',
          observer: true,
          observeParents: true
        }
      },
      observer: true,
      observeParents: true
    });
  }
    /*--- Tabs ---*/
  jQuery('.tab-content > ').not(".active").hide();
  jQuery(document).on('click', '[role="tab"]:not(.active)', function (event) {
    jQuery(this).parent().siblings('li').find('a').removeClass('active');
    jQuery(this).addClass('active');
    jQuery(this).parent().parent().siblings('.tab-content').find('> *').hide().removeClass('active');
    var _tabID = $(this).data('tab');;
    jQuery('#'+_tabID).fadeIn(300).addClass('active');   
  });

});